/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Abstract MultiDimensional Image Model Axis Orientation
 */
public enum EnumCV_AbstractMultiDimensionalImageModelAxisOrientation 
{
	// Abstract MultiDimensional Image Model Axis Orientation - CID 7185
	RIGHT_TO_LEFT_110866("110866"),
	LEFT_TO_RIGHT_110867("110867"),
	HEAD_TO_FOOT_110868("110868"),
	FOOT_TO_HEAD_110869("110869"),
	ANTERIOR_TO_POSTERIOR_110870("110870"),
	POSTERIOR_TO_ANTERIOR_110871("110871"),
	APEX_TO_BASE_110872("110872"),
	BASE_TO_APEX_110873("110873"),
	ANTERIOR_TO_INFERIOR_110874("110874"),
	INFERIOR_TO_ANTERIOR_110875("110875"),
	SEPTUM_TO_WALL_110876("110876"),
	WALL_TO_SEPTUM_110877("110877");
	

	private String value;
	
	EnumCV_AbstractMultiDimensionalImageModelAxisOrientation(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
